Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.http
Class URLProviderInstance

    java.lang.Object
      |
      +--oracle.portal.provider.v2.ProviderInstance
            |
            +--oracle.portal.provider.v2.http.URLProviderInstance

Direct Known Subclasses:
  BasicURLProviderInstance

public synchronized class URLProviderInstance
extends ProviderInstance

Field Summary

Fields inherited from class oracle.portal.provider.v2.ProviderInstance
`PROVIDER_USER`

Constructor Summary
`URLProviderInstance()`

Method Summary
`void` | `deregister()` Deregister this provider instance.
`java.lang.Object` | `getProviderDefinition()`
`ProviderSubscription` | `getSubscription()` Returns the subscription information for this portal.
`void` | `init(java.lang.String, ProviderDefinition)` Initializes the provider instance after construction.
`java.lang.Object[]` | `initSession(ProviderUser, ExternalPrincipal)` Called to initiate a session with a particular user.
`java.lang.String` | `makeQueryString(ExternalPrincipal, java.lang.String)`
`ProviderRegistrationInfo` | `register(java.lang.String, java.lang.String)` Register this newly created provider instance.
`void` | `setUrlCookiePolicyHandler()`

Methods inherited from class oracle.portal.provider.v2.ProviderInstance
`getOidManager, getPortletDefinition, getPortletDefinition, getPortletDefinitions, getPortletDefinitions, getPortletInstance, getPortletInstance, getPortletInstance, getPortletInstance, getPortletInstance, getPreferenceStore, getProviderContext, getProviderId, getUseOldStyleHeaders, isDefinitionEqual`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLProviderInstance

    public URLProviderInstance()

Method Detail

### init

    public void init(java.lang.String,
                     ProviderDefinition)
              throws ProviderException

  Description copied from class: `ProviderInstance`
  Initializes the provider instance after construction.

  Overrides:
    `init` in class `ProviderInstance`
  Parameters:
    `` - the provider's ID, assigned by Portal.
    `` - provider definition object holding meta data for this provider.
    `ProviderException`

### initSession

    public java.lang.Object[] initSession(ProviderUser,
                                          ExternalPrincipal)
                                   throws ProviderException,
                                          AuthenticationException

  Description copied from class: `ProviderInstance`
  Called to initiate a session with a particular user. This may be called never, once per user session, or once per request depending on how the provider is configured in the portal. If the Provider uses HTTP cookies or maintains state via a cookie-based HTTP session, it is imperative that (all) cookies be established during this call.

  A session is established via the `ProviderUser` user object. I.e. the user object contains the methods for creating and retrieving a session. For providers running in a servlet environment, further HTTP-specific information can be accessed by casting the user object to a `ServletProviderUser`. In particular, this allows access to any existing Cookies already established between the user and provider, via the `ServletProviderUser.getCookies()` method.

  Overrides:
    `initSession` in class `ProviderInstance`
  Parameters:
    `` - Current portal user.
    `` - External Application information (if it exists).
  Returns:
    Array of cookie objects. In a servlet environment, these should be of class `javax.servlet.http.Cookie`. Alternatively, null can be returned if this provider doesn't use cookies or relies on the (user) session to maintain its state.
  Throws:
    `ProviderException` - if a generic provider error occurs.
    `AuthenticationException` - should be thrown if you have an external application that requires additional authentication and that authentication fails for some reason.

### setUrlCookiePolicyHandler

    public void setUrlCookiePolicyHandler()

### makeQueryString

    public java.lang.String makeQueryString(ExternalPrincipal,
                                            java.lang.String)
                                     throws AuthenticationException

    `AuthenticationException`

### getSubscription

    public ProviderSubscription getSubscription()

  Description copied from class: `ProviderInstance`
  Returns the subscription information for this portal. In a subscription-based model a company may want/need to associate its own ID or key with a customer/portal. This key can then be used to identify the each subscriber as requests are received. This information can be used to bill subscribers for using the provider.

  For example, when a `ProviderInstance` is registered in a Portal, the subscription key is entered by the portal administrator and passed to the `ProviderInstance` in the `register` method.

  Any persistent mapping that is required between the subscription key and any other provider specific information (eg an account number) must be established and maintained by extending `ProviderInstance`.

  Overrides:
    `getSubscription` in class `ProviderInstance`
  Returns:
    the subscription, or `null` if this `ProviderInstance` doesn't use / support subscription.

### register

    public ProviderRegistrationInfo register(java.lang.String,
                                             java.lang.String)
                                      throws ProviderException,
                                             java.io.IOException,
                                             AccessControlException

  Description copied from class: `ProviderInstance`
  Register this newly created provider instance. Having your register method called means your Provider has just been registered in a portal. This instance's provider ID will already have been set via a call to `ProviderInstance.init(java.lang.String, oracle.portal.provider.v2.ProviderDefinition)`.

  In response to this method call, the `ProviderInstance` enumerates its `PortletDefinition`s and calls `PortletDefinition.register(oracle.portal.provider.v2.ProviderInstance)` on each of them. This gives the `PortletDefinition` the opportunity to do some one time initialization for this `ProviderInstance`.

  Overrides:
    `register` in class `ProviderInstance`
  Parameters:
    `` - the version number of the portal you are being registered with.
  Returns:
    an object containing the dynamically generated subscription information and/or encryption key. The properties on this object will override the defaults specified by the portal administrator.
    `ProviderException`
    `java.io.IOException`
    `AccessControlException`

### deregister

    public void deregister()
                    throws ProviderException

  Description copied from class: `ProviderInstance`
  Deregister this provider instance. This method is called when the provider is deregistered or removed from a portal.

  In response to this method call, the `ProviderInstance` enumerates its `PortletDefinition`s and calls `PortletDefinition.deregister(oracle.portal.provider.v2.ProviderInstance)` on each of them. This gives the `PortletDefinition` the opportunity to destroy or remove any persistent information relating to this ProviderInstance. This includes personalizations, subscription information and preferences.

  Overrides:
    `deregister` in class `ProviderInstance`
    `ProviderException`

### getProviderDefinition

    public java.lang.Object getProviderDefinition()

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.